/*Ps3Interface.cpp
Purpose: Defines the entry point for the console application. This program can print values from a PS3 Dualshock 3 Controller to a command line, and send the values over wifi to another device
Author: Justin Ashtiani, Colin Usher
Version 1.0 07/17/2013
*/

#define STRICT
#define DIRECTINPUT_VERSION 0x0800
#define _CRT_SECURE_NO_DEPRECATE
#ifndef _WIN32_DCOM
#define _WIN32_DCOM
#endif

#include "stdafx.h"//include file for standard system include files, project specific include files
#include <stdio.h>//C Standard Input and Output Library
#include <stdlib.h>//general purpose functions including dynamic memory management, random number generation, environment communication, integer arithmetics, searching, sorting, converting
#include <iostream>//header that defines standard input/output stream objects
#include <iomanip>//required for multi column prints out to the command window
#include "UDPCon.h"

#include <windows.h>//contains functions related to programming in Windows, essentially the WinAPI
#include <stdio.h>//input and output operations can be performed using stdio.h and streams to operate devices
#include "PS3Controller.h"//header file with structures for controller status and function declaration

using namespace std;//allows for text output to command line
//-----------------------------------------------------------------------------
// MAIN PROGRAM
//-----------------------------------------------------------------------------
int _tmain(int argc, _TCHAR* argv[])
{
	//ps3 initialize 
	PS3Controller MyController;

	bool quit = false;

	//udp initialize
	UDPCon myConnection;
    myConnection.Initialize();
    myConnection.ConfigRecieveAddr();

		//Loop
		//for( int controllerUpdate = 0; controllerUpdate < 50000 /*how long you would like to run the program*/; controllerUpdate++)
		while(!quit)
		{ 	
			MyController.UpdateInputState();
			
			//Sending the data
			myConnection.SendJoystickData(MyController.getControllerAnalogPosScaled(1), 	
				MyController.getControllerAnalogPosScaled(2), MyController.getControllerAnalogPosScaled(3), 
				MyController.getControllerAnalogPosScaled(4));

			Sleep(100);	
		}

}

